Subject: bug#767: 23.0.60; compilation-start gives bad default-directory

From: Stefan Monnier <[email-masked]>
Date: Sun, 07 Sep 2008 15:59:17 -0400

> I never noticed that it must end with a slash and in many circumstances
> it works without it.

I know it does in many cases, but as you've found out it doesn't
always work.

> I suggested that this should be fixed somewhere in start-process and I
> think Chong added something along those lines.

I saw that yes.  And I think that given the docstring, the patch should
not let-bind default-directory but just setq it (or do nothing at all).

> (Making Emacs actually require the ending slash seems is not very
> backwards compatible.)

AFAIK it's been that way for ever, so backward compatibility is not
really relevant.

        Stefan